cURL
curl --request POST \
--url https://api.kynva.ai/api/v1/ai/generate-background \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"width": 1152,
"height": 1152,
"prompt": "<string>",
"colors": [
"<string>"
]
}
'import requests
url = "https://api.kynva.ai/api/v1/ai/generate-background"
payload = {
"width": 1152,
"height": 1152,
"prompt": "<string>",
"colors": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({width: 1152, height: 1152, prompt: '<string>', colors: ['<string>']})
};
fetch('https://api.kynva.ai/api/v1/ai/generate-background', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Post apiv1aigenerate background
POST
/
api
/
v1
/
ai
/
generate-background
cURL
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
Response
200
Default Response
⌘I